MCP Tools Reference: people.googleapis.com

ツール: get_user_profile

自分のプロフィール情報(名前とメールアドレス)を取得します。

次のサンプルは、curl を使用して get_user_profile MCP ツールを呼び出す方法を示しています。

Curl リクエスト
curl --location 'https://people.googleapis.com/mcp/v1' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_user_profile",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

入力スキーマ

GetUserProfile に対するリクエスト メッセージです。

出力スキーマ

GetUserProfile に対するレスポンス メッセージです。

GetUserProfileResponse

JSON 表現
{
  "name": string,
  "emailAddress": string
}
フィールド
name

string

ユーザーの表示名。

emailAddress

string

ユーザーのアカウントのメールアドレス。

ツールのアノテーション

破壊的ヒント: ❌ | べき等ヒント: ✅ | 読み取り専用ヒント: ✅ | オープン ワールド ヒント: ❌